Subject: Re: linking cygwin built dll with Borland C++Builder
From: René Møller Fonseca <[email-masked]>
To: [email-masked]
Date: Thu, 23 May 2002 12:53:09 +0200

Tell the compilers to pack the struct's (if different alignment is the 
problem).

For GCC use: __attribute__((packed))
For Borland compiler use (I think): #pragma pack

René

Dennis Jarosch wrote:
> Hi Rob!
> 
> Robert Collins wrote:
> 
>> Mixing C++ between compilers generally doesn't work. See the c++-faq
>> lite for more details.
>>
>> Rob
> 
> 
> Maybe I just misunderstood you, but the lib/dll consists of pure C-code, 
> no C++ involved. Of course my Wrapper uses C++ code, but I am not 
> linking any C++ code from gcc!
> 
> Dennis
> 
> 
> 
> -- 
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

-- 
B.Sc. in Computer Systems Engineering
The Maersk Mc-Kinney Moller Institute for Production Technology
University of Southern Denmark
http://www.mip.sdu.dk/~fonseca

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/